> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/adobe-commerce-magento/integration/additional-config.md).

# Additional Config

Some module configurations are not exposed because the related functionality is only used in very rare scenarios, and in most cases, the configurations available in the admin section are sufficient. However, to provide flexibility for those rare cases, there are hidden variables that can be enabled or disabled to modify how the module behaves.\
Documentation explaining how to override configuration settings is available in the official Adobe documentation: [Override configuration settings | Adobe Commerce](https://experienceleague.adobe.com/en/docs/commerce-operations/configuration-guide/paths/override-config-settings)

### Variables <a href="#variables" id="variables"></a>

| **Variable** | **Details** |
| ------------ | ----------- |

| **Variable**                                                                                     | **Details**                                                                                                                                                                                                                                       |
| ------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `eshopworld/order_confirmation/send_native_order_email`                                          | The default value of `0` indicates that the native store email is not sent.                                                                                                                                                                       |
| `eshopworld/native_checkout/exclude_esw_country_native_checkout`                                 | The default value of `1` indicates that checking out using the native store checkout is forbidden when an ESW country is selected as the shipping country. When this option is enabled, the special price is not transferred to the ESW checkout. |
| `eshopworld/preorder/product_special_price_send_enabled`                                         | The default value of `1` indicates that the special price of a product is transferred and displayed as a discount in the ESW checkout.                                                                                                            |
| `payment/{eshopworld, eshopworld_offline, eshopworld_offline_cod}/enable_inventory_source_check` | The default value of `0` indicates that when synchronizing package records from ESW to the store to create a package, the process won’t be interrupted by the native store's inventory source validation.                                         |

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/adobe-commerce-magento/integration/additional-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
